//$Id: xfixtype.h 1.2 1994/06/07 14:45:53 john Exp $

#ifndef __XFIXTYPE__
#define __XFIXTYPE__

#ifdef qFIXEDIsQuickFix
#define ONEFIXED kQuickFixOne
#define ZEROFIXED kQuickFixZero
#define MAXFIXED kQuickFixMax
#define EPSILONFIXED kQuickFixEpsilon
#define HALFFIXED kQuickFixOneHalf
#define WHITE (FixedToQuickFix(0x0FFFF))
#define TWOPI kQuickFixTwoPi

#define MakeFIXED(xx) (FixedToQuickFix(xx))
#define Makelong(xx)  (QuickFixToFixed(xx))
#define Makeshort(xx)  (TruncQuickFixToShort(xx))

#define FixSquareRoot SquareRoot

#ifndef __QMATH__
#include "QMath.h"
#endif

inline QuickFix SinCosToAngle(const QuickFix &sin,const QuickFix &cos) {
QuickFix res;

res.SetFromSinCos(sin,cos);
return res;
}

inline void SinCos(const QuickFix &angle,QuickFix *sin,QuickFix *cos) {
angle.GetSinCos(*sin,*cos);
}

#else
#define ONEFIXED 0x10000
#define ZEROFIXED 0
#define MAXFIXED 0x7fffFFFF
#define EPSILONFIXED 1
#define HALFFIXED 0x8000
#define WHITE 0x0FFFF

#define MakeFIXED(xx)  (xx)
#define Makelong(xx)  (xx)
#define Makeshort(xx)  (xx)

#ifndef __QFUNC__
#include "QFunc.h"
#endif

#define TWOPI TwoPi
#endif


#endif

